Name: xsm
Version: 1.0.4
Release: %mkrel 3
Summary: X Session Manager
Group: Development/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2

License: MIT
BuildRequires: pkgconfig
BuildRequires: pkgconfig(xaw7) >= 1.0.1
BuildRequires: pkgconfig(xext) 
BuildRequires: pkgconfig(xt) >= 1.0.0
BuildRequires: pkgconfig(ice)
BuildRequires: x11-util-macros >= 1.0.1


%description
Xsm is a session manager. A session is a group of applications, each of which
has a particular state. xsm allows you to create arbitrary sessions - for
example, you might have a "light" session, a "development" session, or an
"xterminal" session. Each session can have its own set of applications. Within
a session, you can perform a "checkpoint" to save application state, or a
"shutdown" to save state and exit the session. When you log back in to the
system, you can load a specific session, and you can delete sessions you no
longer want to keep.

Some session managers simply allow you to manually specify a list of
applications to be started in a session. xsm is more powerful because it lets
you run applications and have them automatically become part of the session. On
a simple level, xsm is useful because it gives you this ability to easily
define which applications are in a session. The true power of xsm, however, can
be taken advantage of when more and more applications learn to save and restore
their state.

%prep
%setup -q

%build
sed -i '/XAW_/ s/)/, xaw7)/; /XAW_/ s/XAW_CHECK_XPRINT_SUPPORT/PKG_CHECK_MODULES/' configure.ac
autoreconf -f -i -v
%configure
%make

%install
%make_install

%files
%{_bindir}/xsm
%config %{_sysconfdir}/X11/xsm/system.xsm
%{_datadir}/X11/app-defaults/XSm
%{_mandir}/man1/xsm.1*




%changelog
* Fri Feb 14 2020 umeabot <umeabot> 1.0.4-3.mga8
+ Revision: 1518954
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 1.0.4-2.mga7
+ Revision: 1301982
- Mageia 7 Mass Rebuild

* Mon Mar 12 2018 tv <tv> 1.0.4-1.mga7
+ Revision: 1208312
- new release

* Fri Sep 09 2016 luigiwalser <luigiwalser> 1.0.3-1.mga6
+ Revision: 1051177
- 1.0.3
- remove no longer needed patches
- remove no longer needed rsh BR

* Tue Aug 30 2016 tv <tv> 1.0.1-9.mga6
+ Revision: 1049469
- imported package xsm


* Tue Aug 30 2016 Thierry Vignaud <tv@mageia.org> 1.0.1-9.mga6
- import from mdv (mga#16000)
- add patches from FC in order to fix build
- adjust file list

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-8mdv2010.1
+ Revision: 524469
- rebuilt for 2010.1

* Mon Apr 13 2009 Funda Wang <fwang@mandriva.org> 1.0.1-7mdv2009.1
+ Revision: 366728
- BR rsh
- no more autoreconf needed

* Thu Jun 19 2008 Thierry Vignaud <tv@mandriva.org> 1.0.1-7mdv2009.0
+ Revision: 226085
- rebuild

* Tue Feb 12 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.0.1-6mdv2008.1
+ Revision: 166808
- Revert to use upstream tarball, build requires and remove non mandatory local patches.

* Thu Jan 17 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.0.1-5mdv2008.1
+ Revision: 154308
- Remove build dependency on rsh or similar program.
- Updated BuildRequires and resubmit package.
- Choose default Xaw from xaw.m4 unless configure explicitly told otherwise.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Aug 29 2007 Thierry Vignaud <tv@mandriva.org> 1.0.1-4mdv2008.0
+ Revision: 74985
- do not hardcode X11 extension!!!
- do not hardcode lzma extension!!!


* Fri Sep 01 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-09-01 21:04:00 (59510)
- rebuild to fix libXaw.so.8 dependency

* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Tue May 30 2006 Thierry Vignaud <tvignaud@mandriva.com>
+ 2006-05-30 16:09:04 (31709)
- fill in a few more missing descriptions

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository

